\subsection{GapFlyt: Minimalist Gap Detection for Quadrotor Flight}
\begin{frame}{Different approaches for different problems}
    \vspace{10pt}
    \LARGE A closer look on three papers:\\\vspace{18pt}
    \large \tableofcontents[currentsubsection, hideothersubsections, sectionstyle=hide, subsectionstyle=show/shaded]
\end{frame}

\begin{frame}{GapFlyt: Minimalist Gap Detection for Quadrotor Flight}
    \framesubtitle{Problem \& basic idea}
    \vspace{-10pt}
    \begin{columns}[t]
        \column{.5\textwidth}
        \begin{block}{quadrotor should fly through gaps by itself}
            \begin{itemize}
                \item 3D map needed
                \item not possible on the quadrotor itself 
            \end{itemize}
        \end{block}
        \vspace{-10pt}
        \begin{figure}[tbh]
            \centering
            \includegraphics[width=\linewidth]{./resources/figures_GapFlyt/Fig2.png}
            \vspace{-20pt}
            \caption*{\footnotesize \cite{paper_gap_flyt}}
        \end{figure}
        \column{.52\textwidth}
        {\transparent{0.5}
            \begin{block}{challenge: fly through gaps with}
                \begin{itemize}
                    \item only a monocular camera (1)
                    \item on-board sensing (3)
                    \item directly mounted on the quadrotor 
                \end{itemize}
                \vspace{-8pt}
            \end{block}
            \vspace{-8pt}
            \begin{figure}[tbh]
                \includegraphics[width=0.9\linewidth]{./resources/figures_GapFlyt/Fig6.png}
                \vspace{-17pt}
                \caption*{\footnotesize \cite{paper_gap_flyt}}
            \end{figure}
        }
    \end{columns}
\end{frame}

\begin{frame}{GapFlyt: Minimalist Gap Detection for Quadrotor Flight}
    \framesubtitle{Problem \& basic idea}
    \vspace{-10pt}
    \begin{columns}[t]
        \column{.5\textwidth}
        {\transparent{0.5}
            \begin{block}{quadrotor should fly through gaps by itself}
                \begin{itemize}
                    \item 3D map needed
                    \item not possible on the quadrotor itself 
                \end{itemize}
            \end{block}
            \vspace{-10pt}
            \begin{figure}[tbh]
                \centering
                \includegraphics[width=\linewidth]{./resources/figures_GapFlyt/Fig2.png}
                \vspace{-20pt}
                \caption*{\footnotesize \cite{paper_gap_flyt}}
            \end{figure}
        }
        \column{.52\textwidth}
        \begin{block}{challenge: fly through gaps with}
            \begin{itemize}
                \item only a monocular camera (1)
                \item on-board sensing (3)
                \item directly mounted on the quadrotor 
            \end{itemize}
            \vspace{-8pt}
        \end{block}
        \vspace{-8pt}
        \begin{figure}[tbh]
            \includegraphics[width=0.9\linewidth]{./resources/figures_GapFlyt/Fig6.png}
            \vspace{-17pt}
            \caption*{\footnotesize \cite{paper_gap_flyt}}
        \end{figure}
    \end{columns}
\end{frame}

\begin{frame}{GapFlyt: Minimalist Gap Detection for Quadrotor Flight}
    \framesubtitle{Algorithm: $TS^2P$ (Temporally Stacked Spacial Parallax)}
    \begin{itemize}
        \item Gap detection with movement control and a monocular camera
    \end{itemize}
    \begin{columns}
        \column{.48\textwidth}
        \vspace{-6pt}
        \begin{itemize}
            \item Image divided into 4 zones, each point ($x$) is scored: 
                \begin{itemize}
                    \item F(oreground): $ x = 1$ 
                    \item B(ackground): $ x = -1$
                    \item U(ncertain): $ x \in (-1, 1) $
                    \item C(ontour): $ x = 0 $
                \end{itemize}
        \end{itemize}
        \column{.42\textwidth}
        \vspace{-40pt}
        \begin{figure}[tbh]
            \centering
            \includegraphics[width=1.1\linewidth]{./resources/figures_GapFlyt/Fig4.png}
            \vspace{-20pt}
            \caption*{\footnotesize \cite{paper_gap_flyt}}
        \end{figure}
    \end{columns}
    \vspace{-6pt}
    \begin{columns}
        \column{.65\textwidth}
        \begin{itemize}
            \item Corner tracking used for contour tracking
            \item Safest point $ x_s $ computed and followed by quadrotor
        \end{itemize}
        \column{.3\textwidth}
        \vspace{-15pt}
        \begin{figure}[tbh]
            \centering
            \includegraphics[width=\linewidth]{./resources/figures_GapFlyt/Fig5a.png}
            \vspace{-20pt}
            \caption*{\footnotesize \cite{paper_gap_flyt}}
        \end{figure}
    \end{columns}
\end{frame}

\begin{frame}{GapFlyt: Minimalist Gap Detection for Quadrotor Flight}
    \framesubtitle{Experiments \& Results}
    \begin{block}{testing for}
        \begin{columns}
            \column{.5\linewidth}
            \begin{enumerate}
                \item different sizes \\ or shapes of opening
            \end{enumerate}
            \column{.4\linewidth}
            \begin{enumerate}
                \setcounter{enumi}{1}
            \item noise sensitivity
        \end{enumerate}
    \end{columns}
\end{block}
\vspace{-5pt}
\begin{columns}
    \column{.5\linewidth}
    \begin{figure}[tbh]
        \centering
        \includegraphics[width=\linewidth]{./resources/figures_GapFlyt/Fig8_abde.png}
        \vspace{-20pt}
        \caption*{\footnotesize \cite{paper_gap_flyt}}
    \end{figure}
    \column{.4\linewidth}
    \hspace{-10pt}
    \begin{figure}[tbh]
        \centering
        \includegraphics[width=\linewidth]{./resources/figures_GapFlyt/Fig9_rot.png}
        \vspace{-20pt}
        \caption*{\footnotesize \cite{paper_gap_flyt}}
    \end{figure}
\end{columns}
\end{frame}

\begin{frame}{GapFlyt: Minimalist Gap Detection for Quadrotor Flight}
    \framesubtitle{Experiments \& Results}
    \vspace{3pt}
    \begin{block}{testing for}
        \begin{columns}
            \column{.5\linewidth}
            \begin{enumerate}
                \setcounter{enumi}{2}
            \item different count of frames, image baselines/image sizes
        \end{enumerate}
        \column{.42\linewidth}
        \begin{enumerate}
            \setcounter{enumi}{3}
        \item comparison to alternative approaches 
    \end{enumerate}
\end{columns}
    \end{block}
    \vspace{-20pt}
    \begin{columns}
        \column{.4\linewidth}
    \begin{figure}[tbh]
        \centering
        \includegraphics[width=1.22\linewidth]{./resources/figures_GapFlyt/Fig12_crop.png}
        \vspace{-23pt}
        \caption*{\footnotesize \hspace{25pt}\cite{paper_gap_flyt}}
    \end{figure}
    \vspace{-44pt}
    \begin{figure}[tbh]
        \centering
        \includegraphics[width=1.2\linewidth]{./resources/figures_GapFlyt/Fig13.png}
        \vspace{-42pt}
        \caption*{\footnotesize \hspace{-110pt}\cite{paper_gap_flyt}}
    \end{figure}
    \column{.5\linewidth}
\begin{figure}[tbh]
        \centering
        \includegraphics[width=1.1\linewidth]{./resources/figures_GapFlyt/TableII_clear.png}
        \vspace{-20pt}
        \caption*{\footnotesize \cite{paper_gap_flyt}}
    \end{figure}
\end{columns}

\end{frame}
